Package: openflow-pki
Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, openflow-common, apache2
+Depends: ${shlibs:Depends}, ${misc:Depends}, openflow-common
Description: OpenFlow public key infrastructure
openflow-pki provides PKI (public key infrastructure) support for
OpenFlow switches and controllers, reducing the risk of
.
OpenFlow is a protocol for flow-based control over network switching.
+Package: openflow-pki-server
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, openflow-pki, apache2
+Description: OpenFlow public key infrastructure (HTTP server support)
+ openflow-pki-server provides HTTP access to the OpenFlow PKI (public
+ key infrastructure) maintained on the local machine by the
+ openflow-pki package. This HTTP access is needed for secure and
+ convenient OpenFlow switch setup using the ofp-switch-setup program
+ in the openflow-switch package.
+ .
+ OpenFlow is a protocol for flow-based control over network switching.
+
Package: openflow-controller
Architecture: any
Depends: ${shlibs:Depends}, openflow-common, openflow-pki
--- /dev/null
+Alias /openflow/pki/ /usr/share/openflow/pki/
--- /dev/null
+etc/apache2/sites-available
--- /dev/null
+_debian/utilities/ofp-pki-cgi usr/lib/cgi-bin
--- /dev/null
+#!/bin/sh
+# postinst script for openflow
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ # Enable site under Apache.
+ a2ensite openflow-pki >/dev/null
+ if command -v invoke-rc.d >/dev/null 2>&1; then
+ invoke-rc.d apache2 force-reload || :
+ else
+ [ -x /etc/init.d/apache2 ] && /etc/init.d/apache2 force-reload || :
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+
+++ /dev/null
-Alias /openflow/pki/ /usr/share/openflow/pki/
+++ /dev/null
-etc/apache2/sites-available
+++ /dev/null
-_debian/utilities/ofp-pki-cgi usr/lib/cgi-bin
if test ! -d /usr/share/openflow/pki; then
ofp-pki init
fi
-
- # Enable site under Apache.
- a2ensite openflow-pki >/dev/null
- if command -v invoke-rc.d >/dev/null 2>&1; then
- invoke-rc.d apache2 force-reload || :
- else
- [ -x /etc/init.d/apache2 ] && /etc/init.d/apache2 force-reload || :
- fi
;;
abort-upgrade|abort-remove|abort-deconfigure)
cp _debian/openflow.tar.gz $(MODDIR)
cd debian; cp changelog control compat *.modules.in rules $(MODDIR)/debian
cd debian/openflow-datapath-source/usr/src && tar -c modules | bzip2 -9 > openflow-datapath.tar.bz2 && rm -rf modules
- install -m644 debian/openflow-pki.apache2 debian/openflow-pki/etc/apache2/sites-available/openflow-pki
+ install -m644 debian/openflow-pki-server.apache2 debian/openflow-pki-server/etc/apache2/sites-available/openflow-pki
dh_install -i
install-arch: build-arch